×
Namespaces

Variants
Actions
(Difference between revisions)

Archived:Binary compatibility break in Text-To-Speech Utility API on S60 3rd Edition (Known Issue)

From Nokia Developer Wiki
Jump to: navigation, search
hamishwillee (Talk | contribs)
m (Bot change of links to internal format.)
hamishwillee (Talk | contribs)
m (Bot fixing redirect link)
Line 34: Line 34:
 
TTS APIs from the API Plug-in package can only be used on S60 3rd Edition, Feature Pack 2 devices.
 
TTS APIs from the API Plug-in package can only be used on S60 3rd Edition, Feature Pack 2 devices.
  
Versions of the TTS API supporting S60 3rd Edition and S60 3rd Edition, Feature Pack 1 devices of the API can be requested via [https://pro.forum.nokia.com/productList.do?categoryID=3 Forum Nokia API Partnering].
+
Versions of the TTS API supporting S60 3rd Edition and S60 3rd Edition, Feature Pack 1 devices of the API can be requested via [http://www.forum.nokia.com/Developer_Programs/?categoryID=3 Forum Nokia API Partnering].
  
 
Also note that low-quality TTS can be used via the <tt>CMdaAudioPlayerUtility</tt> class as well. More information is available [[Text to speech in symbian 2nd and 3rd edition phones|here]].
 
Also note that low-quality TTS can be used via the <tt>CMdaAudioPlayerUtility</tt> class as well. More information is available [[Text to speech in symbian 2nd and 3rd edition phones|here]].

Revision as of 16:48, 27 May 2011

Template:KBKI

Article Metadata
Tested with
Devices(s): S60 3rd Edition devices with HQTTS support (Nokia 5500 Sport, Nokia E50, Nokia E65, Nokia N75)
CompatibilityArticle
Keywords: CTtsUtility
Created: (March 4, 2008, updated October 3, 2008)
Last edited: hamishwillee (27 May 2011)


Template:NoteS

This API is not part of the public SDK. It can be found in the SDK API Plug-in.

Template:NoteE

Overview

TTS (Text-To-Speech) Utility API (CTtsUtility) is available in the SDK API Plug-in package for S60 3rd Edition, Feature Pack 2. Low-quality TTS is supported in all S60 3rd Edition devices, however there are binary compatibility breaks between each S60 3rd Edition platform release (S60 3rd Edition, Feature Pack 1 and Feature Pack 2) for this API.

Description

TTS Utility provides access to TTS functionality on S60 devices, including the high-quality TTS engine supported in some of the devices.

A list of devices supporting high-quality Text-To-Speech can be found here.

There are binary compatibility breaks between S60 3rd Edition releases for Text-To-Speech Utility and TTS Common APIs. Compiling an application using the TTS Utility API from the Plug-in package and trying to run it on an S60 3rd Edition device will result in KERN-EXEC 3 panic.

Solution

TTS APIs from the API Plug-in package can only be used on S60 3rd Edition, Feature Pack 2 devices.

Versions of the TTS API supporting S60 3rd Edition and S60 3rd Edition, Feature Pack 1 devices of the API can be requested via Forum Nokia API Partnering.

Also note that low-quality TTS can be used via the CMdaAudioPlayerUtility class as well. More information is available here.

141 page views in the last 30 days.
×